## vloopback 1.1

=== Makefile ===
VERSION=1.1

ifneq ($(KERNELRELEASE),)

obj-m	:= vloopback.o

else

KVER  := $(shell uname -r)
KLINK := $(shell test -e /lib/modules/${KVER}/source/ && echo source || echo "build")
KSRC  := /lib/modules/$(KVER)/$(KLINK)
PWD   := $(shell pwd)
DEST  := /lib/modules/$(KVER)/kernel/drivers/misc

# Fix some problem with suse < 9.2 and suse >= 9.2
is_suse := $(shell test -e /etc/SuSE-release && echo 1 || echo 0)
ifeq ($(is_suse),1)
  suse_version := $(shell grep VERSION /etc/SuSE-release | cut -f 3 -d " "| tr -d .)
  is_suse_92_or_greater := $(shell test $(suse_version) -ge 92 && echo 1)
  ifeq ($(is_suse_92_or_greater),1)
	KSRC := /lib/modules/$(KVER)/build
  endif
endif
             


all default:
	$(MAKE) -C $(KSRC) SUBDIRS=$(PWD) modules

install:
	install -d $(DEST)
	install -m 644 -c vloopback.ko $(DEST)
	-/sbin/depmod -a

	
uninstall:
	rm -f $(DEST)/vloopback.ko
	-/sbin/depmod -a
clean:
	rm -f .*.cmd *.o *.mod.c *.ko .v* *~ core Modules.symvers
	rm -rf .tmp_versions/
	rm -f example/dummy example/feed example/resize example/invert

dist: clean
	cd .. ; tar cfvz vloopback-$(VERSION).tar.gz  --exclude='.svn' vloopback-$(VERSION)/ 	

endif

## vloopback 1.3

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
-VERSION=1.1
+VERSION=trunk
+MODULENAME=vloopback
 
 ifneq ($(KERNELRELEASE),)
 
-obj-m	:= vloopback.o
+obj-m	:= $(MODULENAME).o
 
 else
 
@@ -23,25 +24,33 @@
 endif
              
 
+default: all examples
 
-all default:
+all: 
 	$(MAKE) -C $(KSRC) SUBDIRS=$(PWD) modules
+
+
+current: clean svn all
+
+svn:
+	svn update
 
 install:
 	install -d $(DEST)
-	install -m 644 -c vloopback.ko $(DEST)
+	install -m 644 -c $(MODULENAME).ko $(DEST)
 	-/sbin/depmod -a
 
-	
+examples:
+	$(MAKE) -C example
+
 uninstall:
-	rm -f $(DEST)/vloopback.ko
+	rm -f $(DEST)/$(MODULENAME).ko
 	-/sbin/depmod -a
 clean:
-	rm -f .*.cmd *.o *.mod.c *.ko .v* *~ core Modules.symvers
-	rm -rf .tmp_versions/
+	rm -f .*.cmd *.o *.mod.c *.ko .v* *~ core Modules.symvers Module.symvers modules.order
+	rm -rf .tmp_versions/ Module.markers
 	rm -f example/dummy example/feed example/resize example/invert
 
 dist: clean
-	cd .. ; tar cfvz vloopback-$(VERSION).tar.gz  --exclude='.svn' vloopback-$(VERSION)/ 	
-
+	cd .. ; tar cfvz $(MODULENAME)-$(VERSION).tar.gz  --exclude='.svn' $(VERSION)/ 
 endif

=== example/Makefile ===
CFLAGS=-g -Wall

all:	invert resize feed dummy

clean:
	rm -f dummy resize invert feed *o *~

invert:	invert.c

resize:	resize.c

feed: feed.c

dummy:	dummy.c

=== debian/changelog ===
vloopback (1.3-3) unstable; urgency=low

  * Switch to Source package format to "3.0 quilt".
  * Update debian/control.
    - Bumped standards-Version to 3.9.1.
    - Remove dpatch from Build-Depends.
    - Add quilt to Build-Depends.
  * Fix fails to build with linux-2.6.37 (Closes: #613309).
    Drop 02_kernel_2.6.32.dpatch and add 03_kernel_2.6.37.patch.
    Thanks to Adrian Knoth.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 05 Mar 2011 17:34:57 +0900

vloopback (1.3-2) unstable; urgency=low

  * Fix fails to build with linux-2.6.32 (Closes: #567448).
    Add 02_kernel_2.6.32.dpatch. Thanks to Andres Mejia.
  * Update debian/control
    - Update Standards-Version.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Feb 2010 20:20:56 +0900

vloopback (1.3-1) unstable; urgency=low

  * New upstream release.
  * Update patch.
    patches/02_makefile.dpatch
  * Rename patch.
    Remame from patches/02_makefile.dpatch to patches/01_makefile.dpatch
  * Remove patch.
    patches/03_vloopback-1.3.dpatch
    patches/04_vloopback-1.4.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 01 Dec 2009 23:20:27 +0900

vloopback (1.2-1) unstable; urgency=low

  * New upstream release.
  * Change e-mail address.
  * Remove DM-Upload-Allowed field.
  * Bump up Standards-Version.
  * Fix build on linux-2.6.30 (Closes: #552599)
    Add patches/03_vloopback-1.3.dpatch and patches/04_vloopback-1.4.dpatch

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 30 Oct 2009 12:45:06 +0900

vloopback (1.1-1) unstable; urgency=low

  * Initial release (Closes: #503681)
  * Add "DM-Upload-Allowed: yes" to debian/control

 -- Nobuhiro Iwamatsu <iwamatsu@nigauri.org>  Wed, 28 Jan 2009 19:39:35 +0900

=== debian/control ===
Source: vloopback
Section: graphics
Priority: optional
Maintainer: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Build-Depends: cdbs, debhelper (>= 7), bzip2, quilt
Standards-Version: 3.9.1
Homepage: http://www.lavrsen.dk/twiki/bin/view/Motion/VideoFourLinuxLoopbackDevice

Package: vloopback-source
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, debhelper, module-assistant, bzip2
Description: vloopback modules for Linux
 vloopback is a video4linux driver providing video pipes.  With this driver you
 can use the output of a user program as input to another program which would
 normally communicate with a video4linux device.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

install/vloopback-source::

	# install source code and create directory
	install -D -m 0755  Makefile \
		debian/tmp/modules/vloopback/Makefile
	install -m 0644  vloopback.c \
		debian/tmp/modules/vloopback/

	# Enforce executable bit on debian/rules, and create directory
	# structure for modules source
	install -D -m 0755 debian/rules.modules \
		debian/tmp/modules/vloopback/debian/rules
	# Prepare the other debian stuff
	for f in *.modules.in control compat copyright changelog README.Debian; do \
		install -m 0644 debian/$$f \
			debian/tmp/modules/vloopback/debian/; \
	done
	# Prepare upstream source
	# clean it
	$(MAKE) -C debian/tmp/modules/vloopback/ clean
	# Prepare the debian source tarball
	tar jcf debian/vloopback-source/usr/src/vloopback.tar.bz2 \
		-C debian/tmp modules
